package ExibiaUploadConfig;

BEGIN
{
  use Exporter;
  @ExibiaUploadConfig::ISA = qw( Exporter );
  @ExibiaUploadConfig::EXPORT = qw( $c );
}

our $c=
{
 # Directory for temporary using files
 temp_dir        => '/Library/WebServer/Documents/exibia/movies/temp',

 # Directory for uploaded files
 target_dir      => '/Library/WebServer/Documents/exibia/movies',

 # Path to the template using for upload status window
 templates_dir   => '/Library/WebServer/Documents/exibia/templates',

 # Allowed file extensions delimited with '|'
 ext_allowed     => 'jpg|jpeg|gif|png|bmp|mp3|mp4|m4a|m4b|mov|m4v|mpg|mpeg|avi|asf|wmv|dv|divx|mid|flv|wav|aif|aiff',

 # URL to send all input values from upload page
 url_post        => '/cgi-bin/uploadfinished.pl',

 # The link to redirect after complete upload
 # This setting can be submitted from HTML form, then it will have priority
 redirect_link   => '/cgi-bin/exibia.pl',

 # Max length of uploaded filenames(without ext). Longer filenames will be cuted.
 max_name_length => 64,

 # Type of behavior when uploaded file already exist on disc. Available 3 modes: Rewrite/Rename/Warn
 copy_mode       => 'Warn',

 # Maximum total upload size in Kbytes
 max_upload_size => 20000000000,      

 # Time to keep temp upload files on server, sec (24 hours = 86400 seconds)
 temp_files_lifetime => 86400,

};

1;
