#!/usr/bin/perl

#######################################################
#	Exibia - Server Module - Settings
#	Last Update:	14 July 2010
#######################################################
#
#	NOTE: 	DO NOT CHANGE THESE SETTINGS BY HAND!!
#
#		Let the Exibia Server application take
#		care of it. If even so much as a space
#		is missing things could begin to fail.
#
#######################################################
# This is the name and password that can also act as an
# Exibia Administrator
########################################################

	$server_un = "Exibia Administrator";
	$server_pw = "ex1b1a!";

	$org_name = "Exibia 2 Server";
	$channel_no = "2";

#######################################################
# These are the LDAP server settings. 
#######################################################

	$use_ldap = "no";
                
	$ldap_server = "macmini.local";
	$ldap_port = "389";
  	$base = "dc=macmini,dc=local";
	$group = "staff";
  	$scope = "sub";

#######################################################
# These represent the beginning and end of the day.
# Change them if you wish to keep users from scheduling
# videos before or after these times.
#
# NOTE: These are not currently implemented. 
#######################################################

	$day_start = "12";		# 6 AM
	$day_end = "24";		# 6 PM

#######################################################
# The rest of these settings are important to the 
# well-being of the server. Do not change them!!!
#######################################################
	$html_debug = "off";
	$keep_old = "no";
	$server_name = "Exibia Server";
	$datapath = "/library/webserver/cgi-executables/exibia";
	$schedulefile = "$datapath/exibia_schedule.txt";
	$backupfile = "$datapath/exibia_backup.txt";
	$ical_sched = "/library/webserver/documents/exibia/exibia.ics";
	$local_dir = "/library/webserver/documents/exibia";
	$log_file = "$datapath/exibia_log.txt";
	$localmovie_file = "$datapath/localmovies.txt";
	$local_movies = "$local_dir/movies";

	$video_length_pad = 30;		# seconds to pad
	$time_start = time;
	$PROTOCOL_LEN = 512;
	$LOG_YES = 1;
